//****************************************************//
//									//
//	snowy.shader for GTKRadiant				//
//	by Amethyst7 - 01.14.2002				//
//									//
//****************************************************//
textures/cpm4a/snowy_skybox
{
	qer_editorimage textures/cpm4a/snowy.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 50
	q3map_sun 0.9 0.95 1 75 90 25
	skyParms textures/cpm4a/snowy - -
}

textures/cpm4a/snowy_skybox2
{
	qer_editorimage textures/cpm4a/snowy.tga
	
	//q3map_sunExt 100 100 100 160 280 90 3 16
	q3map_sunExt 100 100 100 100 220 50 3 16
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 500 3
	
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	
	skyparms textures/cpm4a/snowy 256 -

	{
		map textures/cpm4a/snowy_clouds.tga
		blendFunc GL_ONE GL_ONE
		tcMod scale 3 3
		tcMod scroll 0.1 0.1
	}
}

textures/cpm4a/slime
{
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm slime
	qer_trans .5
	q3map_surfacelight 50
	q3map_lightsubdivide 64
	tesssize 64
	qer_editorimage textures/cpm4a/slime1.tga
	q3map_globaltexture
	{
		map textures/cpm4a/slime1.tga
		tcMod scroll 0.1 0.14
		tcMod turb 0 0.1 0.3 0.02
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/cpm4a/slime2.tga
		tcMod scroll 0.14 -0.1
		tcMod turb 0 0.1 0.3 0.02
		blendFunc GL_DST_COLOR GL_ZERO
	}
}


textures/cpm4a/grate1b
{
	surfaceparm trans	
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm playerclip	
	cull none
	nopicmip
	{
		map textures/cpm4a/grate1b.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/cpm4a/grate2a
{
	surfaceparm trans	
	surfaceparm nomarks	
	cull none
	nopicmip
	{
		map textures/cpm4a/grate2a.tga
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}


textures/cpm4a/sqlight-red-64-5000
{
	qer_editorimage textures/lun_cpm18/sqlight-64-red.tga
	q3map_lightimage textures/lun_cpm18/sqlightfx-64-red.tga
	q3map_surfacelight 5000
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/lun_cpm18/sqlight-64-red.jpg
		blendFunc GL_DST_COLOR GL_ZERO
	}
//	{
//		map textures/lun_cpm18/sqlightfx-64-red.jpg
//		blendFunc GL_ONE GL_ONE
//		rgbGen wave sin 0.95 0.05 0.25 0.30
//	}
}